Index: appendixa/kbd-desc.xml
===================================================================
--- appendixa/kbd-desc.xml	(revision 0bafc62c7cbb255f54d3e5248666da9aa74aaed4)
+++ appendixa/kbd-desc.xml	(revision 74ab612f4319c93c5816d1e9812c43f922e1e422)
@@ -3,11 +3,8 @@
 
 <para>The Kbd package contains the chvt, deallocvt, dumpkeys, fgconsole, 
-getkeycodes, kbd_mode, kbdrate, loadkeys, loadunimap, mapscrn,
-psfxtable, resizecons, screendump, setfont,
-setkeycodes, setleds, setmetamode, setvesablank, showfont,
-showkey, unicode_start, and unicode_stop programs. 
-There are some other programs that
-don't get installed by default, as they are very optional. Take a look at the
-Kbd package contents if you have trouble with your console.</para>
+getkeycodes, getunimap, kbd_mode, kbdrate, loadkeys, loadunimap, mapscrn,
+psfxtable, resizecons, setfont, setkeycodes, setleds, setlogcons,
+setmetamode, setvesablank, showfont, showkey, unicode_start, and
+unicode_stop programs.</para>
 
 </sect2>
@@ -31,4 +28,7 @@
 <para>getkeycodes prints the kernel scancode-to-keycode 
 mapping table.</para></sect3>
+
+<sect3><title>getunimap</title>
+<para>getunimap prints the currently used unimap.</para></sect3>
 
 <sect3><title>kbd_mode</title>
@@ -56,7 +56,4 @@
 <para>resizecons changes the kernel idea of the console size.</para></sect3>
 
-<sect3><title>screendump</title>
-<para>A screen shot utility for the console.</para></sect3>
-
 <sect3><title>setfont</title>
 <para>This lets you change the EGA/VGA fonts in console.</para></sect3>
@@ -70,4 +67,7 @@
 enabled by default, and it is by using this program that you can 
 achieve this.</para></sect3>
+
+<sect3><title>setlogcons</title>
+<para>setlogcons sends kernel messages to the console.</para></sect3>
 
 <sect3><title>setmetamode</title>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 0bafc62c7cbb255f54d3e5248666da9aa74aaed4)
+++ chapter01/changelog.xml	(revision 74ab612f4319c93c5816d1e9812c43f922e1e422)
@@ -6,4 +6,10 @@
 
 <itemizedlist>
+
+<listitem><para>December 12th, 2001 [marcheerdink]: Chapter 6: Moved
+the kbd patch to the default installation instructions; upgraded to
+kbd-1.06-2.patch to fix installation of some programs; added the
+descriptions for these programs; removed the loadkeys -d warning that
+was a leftover from the time where loadkeys -d wasn't fixed yet.</para></listitem>
 
 <listitem><para>December 11th, 2001 [markh]: Chapter 6: Add the "why we
Index: chapter04/packages.xml
===================================================================
--- chapter04/packages.xml	(revision 0bafc62c7cbb255f54d3e5248666da9aa74aaed4)
+++ chapter04/packages.xml	(revision 74ab612f4319c93c5816d1e9812c43f922e1e422)
@@ -51,4 +51,5 @@
 &c3-gettext;
 &c3-kbd;
+&c3-kbd-patch;
 &c3-e2fsprogs;
 &c3-lilo;
Index: chapter06/kbd-inst.xml
===================================================================
--- chapter06/kbd-inst.xml	(revision 0bafc62c7cbb255f54d3e5248666da9aa74aaed4)
+++ chapter06/kbd-inst.xml	(revision 74ab612f4319c93c5816d1e9812c43f922e1e422)
@@ -2,21 +2,11 @@
 <title>Installation of Kbd</title>
 
-<para>There is a bug in kbd-&kbd-version; which 
-causes <userinput>loadkeys -d</userinput> to behave incorrectly.  To fix 
-this, unpack the kbd-&kbd-patch-version; patch and apply it with the following
-command: </para>
-
-<para><screen><userinput>patch -Np1 -i ../kbd-&kbd-patch-version;.patch</userinput></screen></para> 
-
 <para>Install Kbd by running the following commands:</para>
 
-<para><screen><userinput>./configure &amp;&amp;
+<para><screen><userinput>patch -Np1 -i ../kbd-&kbd-patch-version;.patch &amp;&amp;
+./configure &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
 
-<para>When using the loadkeys program from this package, don't use the
--d option to load a default keymap file. It won't work properly
-with keymaps that include other keymaps.</para>
-
 </sect2>
 
Index: chapter06/kbd.xml
===================================================================
--- chapter06/kbd.xml	(revision 0bafc62c7cbb255f54d3e5248666da9aa74aaed4)
+++ chapter06/kbd.xml	(revision 74ab612f4319c93c5816d1e9812c43f922e1e422)
@@ -7,4 +7,5 @@
 
 &c6-kbd-inst;
+&c6-kbd-exp;
 &aa-kbd-desc;
 &ab-kbd-dep;
Index: index.xml
===================================================================
--- index.xml	(revision 0bafc62c7cbb255f54d3e5248666da9aa74aaed4)
+++ index.xml	(revision 74ab612f4319c93c5816d1e9812c43f922e1e422)
@@ -5,6 +5,6 @@
 <!ENTITY book SYSTEM "book/book.xml">
 
-<!ENTITY version "20011211">
-<!ENTITY releasedate "December 11th, 2001">
+<!ENTITY version "20011212">
+<!ENTITY releasedate "December 12th, 2001">
 
 <!ENTITY ftp-root "ftp://ftp.linuxfromscratch.org">
@@ -118,4 +118,5 @@
 <!ENTITY c3-bin86 SYSTEM "chapter3/bin86.xml">
 <!ENTITY c3-kbd SYSTEM "chapter3/kbd.xml">
+<!ENTITY c3-kbd-patch SYSTEM "chapter3/kbd-patch.xml">
 <!ENTITY c3-e2fsprogs SYSTEM "chapter3/e2fsprogs.xml">
 <!ENTITY c3-reiserfs SYSTEM "chapter3/reiserfs.xml">
@@ -308,4 +309,5 @@
 <!ENTITY c6-kbd SYSTEM "chapter6/kbd.xml">
 <!ENTITY c6-kbd-inst SYSTEM "chapter6/kbd-inst.xml">
+<!ENTITY c6-kbd-exp SYSTEM "chapter6/kbd-exp.xml">
 <!ENTITY c6-manpages SYSTEM "chapter6/manpages.xml">
 <!ENTITY c6-manpages-exp SYSTEM "chapter6/manpages-exp.xml">
@@ -918,6 +920,6 @@
 <!ENTITY kbd-depversion "1.06">
 <!ENTITY kbd-size "559 KB">
-<!ENTITY kbd-patch-version "1.06">
-<!ENTITY kbd-patch-size "1 KB">
+<!ENTITY kbd-patch-version "1.06-2">
+<!ENTITY kbd-patch-size "3 KB">
 <!ENTITY kbd-compsize "8 MB">
 <!ENTITY kbd-time "1 minute">