Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ac95fdb5893e19250216e60a53afdd90332ed6f5)
+++ chapter01/changelog.xml	(revision 76a706e9bdeaf6e424f36d3f28cd661b15be241d)
@@ -43,4 +43,34 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+    <listitem>
+      <para>2019-06-16</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.1.1535. Fixes
+          <ulink url="&lfs-ticket-root;4482">#4482</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to shadow-4.7. Fixes
+          <ulink url="&lfs-ticket-root;4481">#4481</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.1.10. Fixes
+          <ulink url="&lfs-ticket-root;4478">#4478</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to less-551. Fixes
+          <ulink url="&lfs-ticket-root;4477">#4477</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.34. Fixes
+          <ulink url="&lfs-ticket-root;4452">#4462</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Remove eudev instructions referring to /tools. Fixes
+          <ulink url="&lfs-ticket-root;4480">#4480</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2019-06-12</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision ac95fdb5893e19250216e60a53afdd90332ed6f5)
+++ chapter01/whatsnew.xml	(revision 76a706e9bdeaf6e424f36d3f28cd661b15be241d)
@@ -141,7 +141,7 @@
       <para>Kmod-&kmod-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Less-&less-version;</para>
-   </listitem>-->
+   </listitem>
     <listitem>
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
@@ -216,7 +216,7 @@
       <para>Sed-&sed-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Shadow-&shadow-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="sysv">
       <para>Sysklogd-&sysklogd-version;</para>
@@ -243,7 +243,7 @@
       <para>Util-Linux-&util-linux-version;</para>
    </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
Index: chapter06/eudev.xml
===================================================================
--- chapter06/eudev.xml	(revision ac95fdb5893e19250216e60a53afdd90332ed6f5)
+++ chapter06/eudev.xml	(revision 76a706e9bdeaf6e424f36d3f28cd661b15be241d)
@@ -50,4 +50,5 @@
 <screen><userinput remap="pre">sed -i '/keyboard_lookup_key/d' src/udev/udev-builtin-keyboard.c</userinput></screen>
 -->
+<!--
     <para>First, add a workaround to prevent the /tools directory from being 
     hard coded into Eudev binary files library locations:</para>
@@ -58,5 +59,5 @@
 BLKID_CFLAGS="-I/tools/include"
 EOF</userinput></screen>
-
+-->
 <para>Prepare Eudev for compilation:</para>
 
@@ -70,9 +71,11 @@
             --with-rootlibdir=/lib  \
             --enable-manpages       \
-            --disable-static        \
-            --config-cache</userinput></screen>
+            --disable-static</userinput></screen>
+<!--           - -config-cache</userinput></screen> -->
 
 <para>Compile the package:</para>
 
+<screen><userinput remap="make">make</userinput></screen>
+<!--
 <screen><userinput remap="make">LIBRARY_PATH=/tools/lib make</userinput></screen>
 
@@ -82,5 +85,5 @@
 used to find libraries during the linking process.  LD_LIBRARY_PATH is
 used to find libraries during program execution.</para></note>
-
+-->
 <para>Create some directories now that are needed for tests, but
 will also be used as a part of installation:</para>
@@ -91,9 +94,11 @@
 <para>To test the results, issue:</para>
 
-<screen><userinput remap="test">make LD_LIBRARY_PATH=/tools/lib check</userinput></screen>
+<screen><userinput remap="test">make check</userinput></screen>
+<!--<screen><userinput remap="test">make LD_LIBRARY_PATH=/tools/lib check</userinput></screen>-->
 
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make LD_LIBRARY_PATH=/tools/lib install</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
+<!--<screen><userinput remap="install">make LD_LIBRARY_PATH=/tools/lib install</userinput></screen>-->
 
     <para>Install some custom rules and support files useful in an LFS 
@@ -124,5 +129,6 @@
     initial database:</para>
 
-<screen><userinput>LD_LIBRARY_PATH=/tools/lib udevadm hwdb --update</userinput></screen>
+<!--<screen><userinput>LD_LIBRARY_PATH=/tools/lib udevadm hwdb - -update</userinput></screen>-->
+<screen><userinput>udevadm hwdb --update</userinput></screen>
 
     <para>This command needs to be run each time the hardware information is
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision ac95fdb5893e19250216e60a53afdd90332ed6f5)
+++ chapter06/vim.xml	(revision 76a706e9bdeaf6e424f36d3f28cd661b15be241d)
@@ -67,5 +67,14 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>To test the results, issue:</para>
+    <para>To prepare the tests, ensure that the 
+    <systemitem class="username">nobody</systemitem> user can write 
+    to the sources tree:</para>
+
+<screen><userinput remap="test">chown -Rv nobody .</userinput></screen>
+
+    <para>Now run the tests as the <systemitem
+    class="username">nobody</systemitem> user:</para>
+
+<screen><userinput remap="test">su nobody -s /bin/bash -c "LANG=en_US.UTF-8 make -j1 test" &amp;> vim-test.log</userinput></screen>
 
 <screen><userinput remap="test">LANG=en_US.UTF-8 make -j1 test &amp;&gt; vim-test.log</userinput></screen>
Index: general.ent
===================================================================
--- general.ent	(revision ac95fdb5893e19250216e60a53afdd90332ed6f5)
+++ general.ent	(revision 76a706e9bdeaf6e424f36d3f28cd661b15be241d)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190612">
+<!ENTITY version         "SVN-20190616">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190612-systemd">
+<!ENTITY versiond        "20190616-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "June 12, 2019">
+<!ENTITY releasedate     "June 16, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision ac95fdb5893e19250216e60a53afdd90332ed6f5)
+++ packages.ent	(revision 76a706e9bdeaf6e424f36d3f28cd661b15be241d)
@@ -374,8 +374,8 @@
 <!ENTITY kmod-ch6-sbu "0.1 SBU">
 
-<!ENTITY less-version "530">
-<!ENTITY less-size "332 KB">
+<!ENTITY less-version "551">
+<!ENTITY less-size "339 KB">
 <!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
-<!ENTITY less-md5 "6a39bccf420c946b0fd7ffc64961315b">
+<!ENTITY less-md5 "4ad4408b06d7a6626a055cb453f36819">
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
 <!ENTITY less-ch6-du "3.9 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "6">
+<!ENTITY linux-patch-version "10">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "103,771 KB">
+<!ENTITY linux-size "103,774 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "252fe34c28205fcaaa6b1b3782576b84">
+<!ENTITY linux-md5 "81c6849be703c8d4be09a3c0e45102cc">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -607,8 +607,8 @@
 <!ENTITY sed-ch6-sbu "0.3 SBU">
 
-<!ENTITY shadow-version "4.6">
-<!ENTITY shadow-size "1,639 KB">
+<!ENTITY shadow-version "4.7">
+<!ENTITY shadow-size "1,587 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "b491fecbf1232632c32ff8f1437fd60e">
+<!ENTITY shadow-md5 "f7ce18c8dfd05f1a009266cb604d58b7">
 <!ENTITY shadow-home "https://pkg-shadow.alioth.debian.org/"> 
 <!ENTITY shadow-ch6-du "46 MB">
@@ -688,9 +688,9 @@
 <!ENTITY udev-lfs-home    " ">
 
-<!ENTITY util-linux-minor "2.33">
-<!ENTITY util-linux-version "2.33.2"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "4,597 KB">
+<!ENTITY util-linux-minor "2.34">
+<!ENTITY util-linux-version "2.34"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "4,859 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "91653b90fcbe9c161153e39b8cc69fb5">
+<!ENTITY util-linux-md5 "a78cbeaed9c39094b96a48ba8f891d50">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "147 MB">
@@ -699,10 +699,10 @@
 <!ENTITY util-linux-ch6-sbu "1.5 SBU">
 
-<!ENTITY vim-version "8.1">
+<!ENTITY vim-version "8.1.1535">
 <!ENTITY vim-majmin "81">
 <!ENTITY vim-docdir "vim/vim81">
-<!ENTITY vim-size "10,995 KB">
-<!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
-<!ENTITY vim-md5 "1739a1df312305155285f0cfa6118294">
+<!ENTITY vim-size "14,028 KB">
+<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
+<!ENTITY vim-md5 "95935d54145e03a1c5a499bb3712817d">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-ch6-du "169 MB">