Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision 17700191e905e4927bbdcaa811c3fa6c43693006)
+++ chapter06/coreutils.xml	(revision 81fd230419b0cfd052b08fc1ed352bb7d49975df)
@@ -4,5 +4,5 @@
   %general-entities;
 ]>
-<sect1 id="ch-system-coreutils" xreflabel="Coreutils" role="wrap">
+<sect1 id="ch-system-coreutils" role="wrap">
 <title>Coreutils-&coreutils-version;</title>
 <?dbhtml filename="coreutils.html"?>
@@ -11,4 +11,6 @@
 
 <sect2 role="package"><title/>
+<para>The Coreutils package contains utilities for showing and setting the
+basic system characteristics.</para>
 
 <segmentedlist>
@@ -18,4 +20,9 @@
 </segmentedlist>
 
+<segmentedlist>
+<segtitle>Coreutils installation depends on</segtitle>
+<seglistitem><seg>Bash, Binutils, Coreutils, Diffutils, GCC,
+Gettext, Glibc, Grep, Make, Perl, and Sed</seg></seglistitem>
+</segmentedlist>
 </sect2>
 
@@ -23,9 +30,13 @@
 <title>Installation of Coreutils</title>
 
-<para>Apply a patch:</para>
+<para>A known issue with the <command>uname</command> program from
+this package is that the <parameter>-p</parameter> switch always
+returns <computeroutput>unknown</computeroutput>. The following patch
+fixes this behavior for Intel architectures:</para>
 
 <screen><userinput>patch -Np1 -i ../coreutils-&coreutils-version;-uname-2.patch</userinput></screen>
 
-<para>Apply another patch:</para>
+<para>Prevent Coreutils from installing binaries that will be later be
+installed by other packages:</para>
 
 <screen><userinput>patch -Np1 -i \
@@ -39,4 +50,10 @@
 
 <screen><userinput>make</userinput></screen>
+
+<para>The test suite of Coreutils makes several assumptions about the
+presence of files and users that are not valid this early in the LFS
+build. Therefore, additional items need to be set up before running
+the tests. Skip down to <quote>Install the package</quote> if
+not running the test suite.</para>
 
 <para>Create two dummy groups and a dummy user name:</para>
@@ -46,13 +63,16 @@
 echo "dummy:x:1000:1000:::/bin/bash" &gt;&gt; /etc/passwd</userinput></screen>
 
-<para>Run the <emphasis>root</emphasis> tests:</para>
+<para>Now the test suite is ready to be run. First, run the tests that
+are meant to be run as user <emphasis>root</emphasis>:</para>
 
 <screen><userinput>make NON_ROOT_USERNAME=dummy check-root</userinput></screen>
 
-<para>Run the user tests:</para>
+<para>Then run the remainder of the tests as the
+<emphasis>dummy</emphasis> user:</para>
 
 <screen><userinput>src/su dummy -c "make RUN_EXPENSIVE_TESTS=yes check"</userinput></screen>
 
-<para>Remove the dummy user and groups:</para>
+<para>When testing is complete, remove the dummy user and
+groups:</para>
 
 <screen><userinput>sed -i '/dummy/d' /etc/passwd /etc/group</userinput></screen>
@@ -62,5 +82,5 @@
 <screen><userinput>make install</userinput></screen>
 
-<para>And move some programs to their proper locations:</para>
+<para>Move programs to the proper locations:</para>
 
 <screen><userinput>mv /usr/bin/{[,basename,cat,chgrp,chmod,chown,cp,dd,df} /bin
@@ -70,5 +90,5 @@
 mv /usr/bin/chroot /usr/sbin</userinput></screen>
 
-<para>Create a symlink:</para>
+<para>Finally, create a symlink to be FHS-compliant:</para>
 
 <screen><userinput>ln -s ../../bin/install /usr/bin</userinput></screen>
@@ -79,7 +99,754 @@
 <sect2 id="contents-coreutils" role="content"><title>Contents of Coreutils</title>
 
-<para>See testing</para>
+<segmentedlist>
+<segtitle>Installed programs</segtitle>
+<seglistitem><seg>basename, cat, chgrp, chmod, chown, chroot, cksum,
+comm, cp, csplit, cut, date, dd, df, dir, dircolors, dirname, du,
+echo, env, expand, expr, factor, false, fmt, fold, groups, head,
+hostid, hostname, id, install, join, link, ln, logname, ls, md5sum,
+mkdir, mkfifo, mknod, mv, nice, nl, nohup, od, paste, pathchk, pinky,
+pr, printenv, printf, ptx, pwd, readlink, rm, rmdir, seq, sha1sum,
+shred, sleep, sort, split, stat, stty, sum, sync, tac, tail, tee,
+test, touch, tr, true, tsort, tty, uname, unexpand, uniq, unlink,
+users, vdir, wc, who, whoami, and yes</seg></seglistitem>
+</segmentedlist>
+
+<variablelist><bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
+
+<varlistentry id="basename">
+<term><command>basename</command></term>
+<listitem>
+<para>Strips any path and a given suffix from a file name</para>
+<indexterm zone="ch-system-coreutils basename"><primary sortas="b-basename">basename</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="cat">
+<term><command>cat</command></term>
+<listitem>
+<para>Concatenates files to standard output</para>
+<indexterm zone="ch-system-coreutils cat"><primary sortas="b-cat">cat</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="chgrp">
+<term><command>chgrp</command></term>
+<listitem>
+<para>Changes the group ownership of each given file to the given
+group; the group can either be either given a name or a numeric
+ID</para>
+<indexterm zone="ch-system-coreutils chgrp"><primary sortas="b-chgrp">chgrp</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="chmod">
+<term><command>chmod</command></term>
+<listitem>
+<para>Changes the permissions of each file to the given mode; the mode
+can be either a symbolic representation of the changes to make or an
+octal number representing the new permissions</para>
+<indexterm zone="ch-system-coreutils chmod"><primary sortas="b-chmod">chmod</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="chown">
+<term><command>chown</command></term>
+<listitem>
+<para>Changes the user and/or group ownership of
+each given file to the given user/group pair</para>
+<indexterm zone="ch-system-coreutils chown"><primary sortas="b-chown">chown</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="chroot">
+<term><command>chroot</command></term>
+<listitem>
+<para>Runs a command with the specified directory as the 
+<filename class="directory">/</filename> directory</para>
+<indexterm zone="ch-system-coreutils chroot"><primary sortas="b-chroot">chroot</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="cksum">
+<term><command>cksum</command></term>
+<listitem>
+<para>Prints the Cyclic Redundancy Check (CRC) checksum and the byte
+counts of each specified file</para>
+<indexterm zone="ch-system-coreutils cksum"><primary sortas="b-cksum">cksum</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="comm">
+<term><command>comm</command></term>
+<listitem>
+<para>Compares two sorted files, outputting in three columns the lines
+that are unique and the lines that are common</para>
+<indexterm zone="ch-system-coreutils comm"><primary sortas="b-comm">comm</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="cp">
+<term><command>cp</command></term>
+<listitem>
+<para>Copies files</para>
+<indexterm zone="ch-system-coreutils cp"><primary sortas="b-cp">cp</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="csplit">
+<term><command>csplit</command></term>
+<listitem>
+<para>Splits a given file into several new files, separating them
+according to given patterns or line numbers and outputting the byte
+count of each new file</para>
+<indexterm zone="ch-system-coreutils csplit"><primary sortas="b-csplit">csplit</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="cut">
+<term><command>cut</command></term>
+<listitem>
+<para>Prints sections of lines, selecting the parts according to given
+fields or positions</para>
+<indexterm zone="ch-system-coreutils cut"><primary sortas="b-cut">cut</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="date">
+<term><command>date</command></term>
+<listitem>
+<para>Displays the current time in the given format, or sets the
+system date</para>
+<indexterm zone="ch-system-coreutils date"><primary sortas="b-date">date</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="dd">
+<term><command>dd</command> </term>
+<listitem>
+<para>Copies a file using the given block size and count, while
+optionally performing conversions on it</para>
+<indexterm zone="ch-system-coreutils dd"><primary sortas="b-dd">dd</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="df">
+<term><command>df</command></term>
+<listitem>
+<para>Reports the amount of disk space available (and used) on all
+mounted file systems, or only on the file systems holding the selected
+files</para>
+<indexterm zone="ch-system-coreutils df"><primary sortas="b-df">df</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="dir">
+<term><command>dir</command></term>
+<listitem>
+<para>Lists the contents of each given directory (the same as
+the <command>ls</command> command)</para>
+<indexterm zone="ch-system-coreutils dir"><primary sortas="b-dir">dir</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="dircolors">
+<term><command>dircolors</command></term>
+<listitem>
+<para>Outputs commands to set the <envar>LS_COLOR</envar>
+environment variable to change the color scheme used by
+<command>ls</command></para>
+<indexterm zone="ch-system-coreutils dircolors"><primary sortas="b-dircolors">dircolors</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="dirname">
+<term><command>dirname</command></term>
+<listitem>
+<para>Strips the non-directory suffix from a file name</para>
+<indexterm zone="ch-system-coreutils dirname"><primary sortas="b-dirname">dirname</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="du">
+<term><command>du</command></term>
+<listitem>
+<para>Reports the amount of disk space used by the current directory,
+by each of the given directories (including all subdirectories) or by
+each of the given files</para>
+<indexterm zone="ch-system-coreutils du"><primary sortas="b-du">du</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="echo">
+<term><command>echo</command></term>
+<listitem>
+<para>Displays the given strings</para>
+<indexterm zone="ch-system-coreutils echo"><primary sortas="b-echo">echo</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="env">
+<term><command>env</command></term>
+<listitem>
+<para>Runs a command in a modified environment</para>
+<indexterm zone="ch-system-coreutils env"><primary sortas="b-env">env</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="expand">
+<term><command>expand</command></term>
+<listitem>
+<para>Converts tabs to spaces</para>
+<indexterm zone="ch-system-coreutils expand"><primary sortas="b-expand">expand</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="expr">
+<term><command>expr</command></term>
+<listitem>
+<para>Evaluates expressions</para>
+<indexterm zone="ch-system-coreutils expr"><primary sortas="b-expr">expr</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="factor">
+<term><command>factor</command></term>
+<listitem>
+<para>Prints the prime factors of all specified integer numbers</para>
+<indexterm zone="ch-system-coreutils factor"><primary sortas="b-factor">factor</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="false">
+<term><command>false</command></term>
+<listitem>
+<para>Does nothing, unsuccessfully; it always exits with a status code
+indicating failure</para>
+<indexterm zone="ch-system-coreutils false"><primary sortas="b-false">false</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="fmt">
+<term><command>fmt</command></term>
+<listitem>
+<para>Reformats the paragraphs in the given files</para>
+<indexterm zone="ch-system-coreutils fmt"><primary sortas="b-fmt">fmt</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="fold">
+<term><command>fold</command></term>
+<listitem>
+<para>Wraps the lines in the given files</para>
+<indexterm zone="ch-system-coreutils fold"><primary sortas="b-fold">fold</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="groups-coreutils">
+<term><command>groups</command></term>
+<listitem>
+<para>Reports a user's group memberships</para>
+<indexterm zone="ch-system-coreutils groups-coreutils"><primary sortas="b-groups-coreutils">groups</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="head">
+<term><command>head</command></term>
+<listitem>
+<para>Prints the first ten lines (or the given number of lines) of each given file</para>
+<indexterm zone="ch-system-coreutils head"><primary sortas="b-head">head</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="hostid">
+<term><command>hostid</command></term>
+<listitem>
+<para>Reports the numeric identifier (in hexadecimal) of the host</para>
+<indexterm zone="ch-system-coreutils hostid"><primary sortas="b-hostid">hostid</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="hostname">
+<term><command>hostname</command></term>
+<listitem>
+<para>Reports or sets the name of the host</para>
+<indexterm zone="ch-system-coreutils hostname"><primary sortas="b-hostname">hostname</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="id">
+<term><command>id</command></term>
+<listitem>
+<para>Reports the effective user ID, group ID, and
+group memberships of the current user or specified user</para>
+<indexterm zone="ch-system-coreutils id"><primary sortas="b-id">id</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="install">
+<term><command>install</command> </term>
+<listitem>
+<para>Copies files while setting their
+permission modes and, if possible, their owner and group</para>
+<indexterm zone="ch-system-coreutils install"><primary sortas="b-install">install</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="join">
+<term><command>join</command></term>
+<listitem>
+<para>Joins the lines that have identical join fields from two
+separate files</para>
+<indexterm zone="ch-system-coreutils join"><primary sortas="b-join">join</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="link">
+<term><command>link</command></term>
+<listitem>
+<para>Creates a hard link with the given name to a file</para>
+<indexterm zone="ch-system-coreutils link"><primary sortas="b-link">link</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="ln">
+<term><command>ln</command></term>
+<listitem>
+<para>Makes hard links or soft (symbolic) links between files</para>
+<indexterm zone="ch-system-coreutils ln"><primary sortas="b-ln">ln</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="logname">
+<term><command>logname</command></term>
+<listitem>
+<para>Reports the current user's login name</para>
+<indexterm zone="ch-system-coreutils logname"><primary sortas="b-logname">logname</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="ls">
+<term><command>ls</command></term>
+<listitem>
+<para>Lists the contents of each given directory</para>
+<indexterm zone="ch-system-coreutils ls"><primary sortas="b-ls">ls</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="md5sum">
+<term><command>md5sum</command></term>
+<listitem>
+<para>Reports or checks Message Digest 5 (MD5) checksums</para>
+<indexterm zone="ch-system-coreutils md5sum"><primary sortas="b-md5sum">md5sum</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="mkdir">
+<term><command>mkdir</command></term>
+<listitem>
+<para>Creates directories with the given names</para>
+<indexterm zone="ch-system-coreutils mkdir"><primary sortas="b-mkdir">mkdir</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="mkfifo">
+<term><command>mkfifo</command></term>
+<listitem>
+<para>Creates First-In, First-Outs (FIFOs), a <quote>named
+pipe</quote> in UNIX parlance, with the given names</para>
+<indexterm zone="ch-system-coreutils mkfifo"><primary sortas="b-mkfifo">mkfifo</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="mknod">
+<term><command>mknod</command></term>
+<listitem>
+<para>Creates device nodes with the given names; a device node is a
+character special file, a block special file, or a FIFO</para>
+<indexterm zone="ch-system-coreutils mknod"><primary sortas="b-mknod">mknod</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="mv">
+<term><command>mv</command></term>
+<listitem>
+<para>Moves or renames files or directories</para>
+<indexterm zone="ch-system-coreutils mv"><primary sortas="b-mv">mv</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="nice">
+<term><command>nice</command></term>
+<listitem>
+<para>Runs a program with modified scheduling priority</para>
+<indexterm zone="ch-system-coreutils nice"><primary sortas="b-nice">nice</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="nl">
+<term><command>nl</command></term>
+<listitem>
+<para>Numbers the lines from the given files</para>
+<indexterm zone="ch-system-coreutils nl"><primary sortas="b-nl">nl</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="nohup">
+<term><command>nohup</command></term>
+<listitem>
+<para>Runs a command immune to hangups, with its output redirected to
+a log file</para>
+<indexterm zone="ch-system-coreutils nohup"><primary sortas="b-nohup">nohup</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="od">
+<term><command>od</command></term>
+<listitem>
+<para>Dumps files in octal and other formats</para>
+<indexterm zone="ch-system-coreutils od"><primary sortas="b-od">od</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="paste">
+<term><command>paste</command></term>
+<listitem>
+<para>Merges the given files, joining sequentially corresponding lines
+side by side, separated by tab characters</para>
+<indexterm zone="ch-system-coreutils paste"><primary sortas="b-paste">paste</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="pathchk">
+<term><command>pathchk</command></term>
+<listitem>
+<para>Checks if file names are valid or portable</para>
+<indexterm zone="ch-system-coreutils pathchk"><primary sortas="b-pathchk">pathchk</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="pinky">
+<term><command>pinky</command></term>
+<listitem>
+<para>Is a lightweight finger client; it reports some information about the given users</para>
+<indexterm zone="ch-system-coreutils pinky"><primary sortas="b-pinky">pinky</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="pr">
+<term><command>pr</command></term>
+<listitem>
+<para>Paginates and columnates files for printing</para>
+<indexterm zone="ch-system-coreutils pr"><primary sortas="b-pr">pr</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="printenv">
+<term><command>printenv</command></term>
+<listitem>
+<para>Prints the environment</para>
+<indexterm zone="ch-system-coreutils printenv"><primary sortas="b-printenv">printenv</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="printf">
+<term><command>printf</command></term>
+<listitem>
+<para>Prints the given arguments according to the given format, much
+like the C printf function</para>
+<indexterm zone="ch-system-coreutils printf"><primary sortas="b-printf">printf</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="ptx">
+<term><command>ptx</command></term>
+<listitem>
+<para>Produces a permuted index from the contents of the given files,
+with each keyword in its context</para>
+<indexterm zone="ch-system-coreutils ptx"><primary sortas="b-ptx">ptx</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="pwd">
+<term><command>pwd</command></term>
+<listitem>
+<para>Reports the name of the current working directory</para>
+<indexterm zone="ch-system-coreutils pwd"><primary sortas="b-pwd">pwd</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="readlink">
+<term><command>readlink</command></term>
+<listitem>
+<para>Reports the value of the given symbolic link</para>
+<indexterm zone="ch-system-coreutils readlink"><primary sortas="b-readlink">readlink</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="rm">
+<term><command>rm</command></term>
+<listitem>
+<para>Removes files or directories</para>
+<indexterm zone="ch-system-coreutils rm"><primary sortas="b-rm">rm</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="rmdir">
+<term><command>rmdir</command></term>
+<listitem>
+<para>Removes directories if they are empty</para>
+<indexterm zone="ch-system-coreutils rmdir"><primary sortas="b-rmdir">rmdir</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="seq">
+<term><command>seq</command></term>
+<listitem>
+<para>Prints a sequence of numbers within a given range and with a
+given increment</para>
+<indexterm zone="ch-system-coreutils seq"><primary sortas="b-seq">seq</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="sha1sum">
+<term><command>sha1sum</command></term>
+<listitem>
+<para>Prints or checks 160-bit Secure Hash Algorithm 1 (SHA1) checksums</para>
+<indexterm zone="ch-system-coreutils sha1sum"><primary sortas="b-sha1sum">sha1sum</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="shred">
+<term><command>shred</command></term>
+<listitem>
+<para>Overwrites the given files repeatedly with complex patterns,
+making it difficult to recover the data</para>
+<indexterm zone="ch-system-coreutils shred"><primary sortas="b-shred">shred</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="sleep">
+<term><command>sleep</command></term>
+<listitem>
+<para>Pauses for the given amount of time</para>
+<indexterm zone="ch-system-coreutils sleep"><primary sortas="b-sleep">sleep</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="sort">
+<term><command>sort</command></term>
+<listitem>
+<para>Sorts the lines from the given files</para>
+<indexterm zone="ch-system-coreutils sort"><primary sortas="b-sort">sort</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="split">
+<term><command>split</command></term>
+<listitem>
+<para>Splits the given file into pieces, by size or by number of lines</para>
+<indexterm zone="ch-system-coreutils split"><primary sortas="b-split">split</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="stat">
+<term><command>stat</command></term>
+<listitem>
+<para>Displays file or filesystem status</para>
+<indexterm zone="ch-system-coreutils stat"><primary sortas="b-stat">stat</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="stty">
+<term><command>stty</command></term>
+<listitem>
+<para>Sets or reports terminal line settings</para>
+<indexterm zone="ch-system-coreutils stty"><primary sortas="b-stty">stty</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="sum">
+<term><command>sum</command></term>
+<listitem>
+<para>Prints checksum and block counts for each given file</para>
+<indexterm zone="ch-system-coreutils sum"><primary sortas="b-sum">sum</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="sync">
+<term><command>sync</command></term>
+<listitem>
+<para>Flushes file system buffers; it forces changed blocks to disk
+and updates the super block</para>
+<indexterm zone="ch-system-coreutils sync"><primary sortas="b-sync">sync</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="tac">
+<term><command>tac</command></term>
+<listitem>
+<para>Concatenates the given files in reverse</para>
+<indexterm zone="ch-system-coreutils tac"><primary sortas="b-tac">tac</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="tail">
+<term><command>tail</command></term>
+<listitem>
+<para>Prints the last ten lines (or the given number of lines) of each
+given file</para>
+<indexterm zone="ch-system-coreutils tail"><primary sortas="b-tail">tail</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="tee">
+<term><command>tee</command></term>
+<listitem>
+<para>Reads from standard input while writing both to standard output
+and to the given files</para>
+<indexterm zone="ch-system-coreutils tee"><primary sortas="b-tee">tee</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="test">
+<term><command>test</command></term>
+<listitem>
+<para>Compares values and checks file types</para>
+<indexterm zone="ch-system-coreutils test"><primary sortas="b-test">test</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="touch">
+<term><command>touch</command></term>
+<listitem>
+<para>Changes file timestamps, setting the access and modification
+times of the given files to the current time; files that do not exist
+are created with zero length</para>
+<indexterm zone="ch-system-coreutils touch"><primary sortas="b-touch">touch</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="tr">
+<term><command>tr</command></term>
+<listitem>
+<para>Translates, squeezes, and deletes the given characters from
+standard input</para>
+<indexterm zone="ch-system-coreutils tr"><primary sortas="b-tr">tr</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="true">
+<term><command>true</command></term>
+<listitem>
+<para>Does nothing, successfully; it always exits with a status code
+indicating success</para>
+<indexterm zone="ch-system-coreutils true"><primary sortas="b-true">true</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="tsort">
+<term><command>tsort</command></term>
+<listitem>
+<para>Performs a topological sort; it writes a completely ordered list
+according to the partial ordering in a given file</para>
+<indexterm zone="ch-system-coreutils tsort"><primary sortas="b-tsort">tsort</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="tty">
+<term><command>tty</command></term>
+<listitem>
+<para>Reports the file name of the terminal connected to standard
+input</para>
+<indexterm zone="ch-system-coreutils tty"><primary sortas="b-tty">tty</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="uname">
+<term><command>uname</command></term>
+<listitem>
+<para>Reports system information</para>
+<indexterm zone="ch-system-coreutils uname"><primary sortas="b-uname">uname</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="unexpand">
+<term><command>unexpand</command></term>
+<listitem>
+<para>Converts spaces to tabs</para>
+<indexterm zone="ch-system-coreutils unexpand"><primary sortas="b-unexpand">unexpand</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="uniq">
+<term><command>uniq</command></term>
+<listitem>
+<para>Discards all but one of successive identical lines</para>
+<indexterm zone="ch-system-coreutils unexpand"><primary sortas="b-unexpand">unexpand</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="unlink">
+<term><command>unlink</command></term>
+<listitem>
+<para>Removes the given file</para>
+<indexterm zone="ch-system-coreutils unlink"><primary sortas="b-unlink">unlink</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="users">
+<term><command>users</command></term>
+<listitem>
+<para>Reports the names of the users currently logged on</para>
+<indexterm zone="ch-system-coreutils users"><primary sortas="b-users">users</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="vdir">
+<term><command>vdir</command></term>
+<listitem>
+<para>Is the same as <command>ls -l</command></para>
+<indexterm zone="ch-system-coreutils vdir"><primary sortas="b-vdir">vdir</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="wc">
+<term><command>wc</command></term>
+<listitem>
+<para>Reports the number of lines, words, and bytes for each given
+file, as well as a total line when more than one file is given</para>
+<indexterm zone="ch-system-coreutils wc"><primary sortas="b-wc">wc</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="who">
+<term><command>who</command></term>
+<listitem>
+<para>Reports who is logged on</para>
+<indexterm zone="ch-system-coreutils who"><primary sortas="b-who">who</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="whoami">
+<term><command>whoami</command></term>
+<listitem>
+<para>Reports the user name associated with the current effective user ID</para>
+<indexterm zone="ch-system-coreutils whoami"><primary sortas="b-whoami">whoami</primary></indexterm>
+</listitem>
+</varlistentry>
+
+<varlistentry id="yes">
+<term><command>yes</command></term>
+<listitem>
+<para>Repeatedly outputs <quote>y</quote> or a given string until
+killed</para>
+<indexterm zone="ch-system-coreutils yes"><primary sortas="b-yes">yes</primary></indexterm>
+</listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>
 
 </sect1>
+