Index: INSTALL
===================================================================
--- INSTALL	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ INSTALL	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -42,5 +42,5 @@
 
 * JDK
-  - http://www.linuxfromscratch.org/blfs/view/svn/general/jdk.html
+  - http://www.linuxfromscratch.org/blfs/view/svn/general/openjdk.html
 
 * FOP and JAI
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ chapter01/changelog.xml	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -37,9 +37,32 @@
 -->
     <listitem>
+      <para>2014-09-29</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Updated bash upstream patches and added fixes for
+          CVE-2014-6271, CVE-2014-7169, and CVE-2014-7187 (through upstream
+          patch bash43-027).</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2014h. Fixes 
+          <ulink url="&lfs-ticket-root;3682">#3682</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-db-2.7.0.2. Fixes 
+          <ulink url="&lfs-ticket-root;3683">#3683</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Improved wget command line in Section 3.1. Fixes 
+          <ulink url="&lfs-ticket-root;3684">#3684</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-09-26</para>
       <itemizedlist>
         <listitem>
-          <para>[krejzi] - Updated bash upstream patches
-          and added fixes for CVE-2014-7169. Fixes <ulink
+          <para>[krejzi] - Updated bash upstream patches and added fixes for
+          CVE-2014-7169. Fixes <ulink
           url="&lfs-ticket-root;3680">#3680</ulink>.</para>
         </listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ chapter01/whatsnew.xml	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -209,7 +209,7 @@
       <para>Texinfo &texinfo-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
@@ -249,7 +249,9 @@
       <para>attr-&attr-version;</para>
     </listitem>
+-->
     <listitem>
       <para>&bash-fixes-patch;</para>
     </listitem>
+<!--
     <listitem>
       <para>&bc-memory-leak-patch;</para>
@@ -297,9 +299,9 @@
     <title>Removed:</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
+
+    <listitem>
+      <para>bash-4.3-upstream_fixes-3.patch</para>
+    </listitem>
 <!--
-    <listitem>
-      <para>bash-4.2-fixes-12.patch</para>
-    </listitem>
-
     <listitem>
       <para>glibc-2.19-fhs-1.patch</para>
Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ chapter03/introduction.xml	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -54,5 +54,5 @@
   <command>wget</command>. For example:</para>
 
-<screen role="nodump"><userinput>wget -i wget-list -P $LFS/sources</userinput></screen>
+<screen role="nodump"><userinput>wget --input-file=wget-list --continue --directory-prefix=$LFS/sources</userinput></screen>
 
   <para>Additionally, starting with LFS-7.0, there is a separate file,
Index: chapter06/man-db.xml
===================================================================
--- chapter06/man-db.xml	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ chapter06/man-db.xml	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -42,8 +42,4 @@
     <title>Installation of Man-DB</title>
 
-    <para>Disable two tests that fail:</para>
-
-<screen><userinput remap="pre">sed -i 's/mandb-2 mandb-3 mandb-4/mandb-3/' src/tests/Makefile.in</userinput></screen>
-    
     <para>Prepare Man-DB for compilation:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ general.ent	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -1,5 +1,5 @@
-<!ENTITY version         "SVN-20140926">
+<!ENTITY version         "SVN-20140929">
 <!ENTITY short-version   "svn">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "September 26, 2014">
+<!ENTITY releasedate     "September 29, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.7">
Index: packages.ent
===================================================================
--- packages.ent	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ packages.ent	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -425,8 +425,8 @@
 <!ENTITY make-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-db-version "2.7.0.1">
+<!ENTITY man-db-version "2.7.0.2">
 <!ENTITY man-db-size "1,457 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "7961179a2d8fb4c8f3947c92e80ee232">
+<!ENTITY man-db-md5 "8ea7be9daf7af7da0fcd619e3da3991c">
 <!ENTITY man-db-home "http://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "28 MB">
@@ -582,8 +582,8 @@
 <!ENTITY texinfo-ch6-sbu "0.6 SBU">
 
-<!ENTITY tzdata-version "2014g">
-<!ENTITY tzdata-size "279 KB">
+<!ENTITY tzdata-version "2014h">
+<!ENTITY tzdata-size "280 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "f9f59425e55b21d2e52bb3a95fc17b8d">
+<!ENTITY tzdata-md5 "ed05111948beba8a0f30956baa46b272">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision f41fa812d66608d4ac85de481e753aee7607ac6c)
+++ patches.ent	(revision 82d957c29ade1278de27561507810d120a3a2a5c)
@@ -3,7 +3,7 @@
 <!-- Start of Common Patches -->
 
-<!ENTITY bash-fixes-patch "bash-&bash-version;-upstream_fixes-4.patch">
-<!ENTITY bash-fixes-patch-md5 "9233ba62610d4eb3f45ed57073d4273b">
-<!ENTITY bash-fixes-patch-size "40 KB">
+<!ENTITY bash-fixes-patch "bash-&bash-version;-upstream_fixes-5.patch">
+<!ENTITY bash-fixes-patch-md5 "65f72a5b5fc7c36970347a26ec0f0e99">
+<!ENTITY bash-fixes-patch-size "37 KB">
 
 <!ENTITY binutils-lto-patch "binutils-&binutils-version;-load_gcc_lto_plugin_by_default-1.patch">