Index: chapter10/kernel.xml
===================================================================
--- chapter10/kernel.xml	(revision 44674e4c92f7ef20dbc985f479c5c19548378a08)
+++ chapter10/kernel.xml	(revision 83e616f79e84539b34d912b4a4ed430e00b86839)
@@ -131,33 +131,36 @@
       not work correctly or boot at all:</para>
 
-      <screen role="nodump" revision="sysv">Processor type and features ---&gt;
-   [*] Build a relocatable kernel [CONFIG_RELOCATABLE]
-   [*]   Randomize the address of the kernel image (KASLR) [CONFIG_RANDOMIZE_BASE]
-General setup ---&gt;
+<screen role="nodump" revision="sysv">General setup ---&gt;
    [ ] Compile the kernel with warnings as errors [CONFIG_WERROR]
-   CPU/Task time and stats accounting ---&gt;
-      [*] Pressure stall information tracking [CONFIG_PSI]
-      [ ]   Require boot parameter to enable pressure stall information tracking [CONFIG_PSI_DEFAULT_DISABLED]
+       CPU/Task time and stats accounting ---&gt;
+         [*] Pressure stall information tracking [CONFIG_PSI]
+         [ ] Require boot parameter to enable pressure stall information tracking 
+                                              [CONFIG_PSI_DEFAULT_DISABLED]
    &lt; &gt; Enable kernel headers through /sys/kernel/kheaders.tar.xz [CONFIG_IKHEADERS]
    [*] Control Group support [CONFIG_CGROUPS]   ---&gt;
       [*] Memory controller [CONFIG_MEMCG]
    [ ] Configure standard kernel features (expert users) [CONFIG_EXPERT]
+
+Processor type and features ---&gt;
+   [*] Build a relocatable kernel [CONFIG_RELOCATABLE]
+   [*]   Randomize the address of the kernel image (KASLR) [CONFIG_RANDOMIZE_BASE]
+
 General architecture-dependent options  ---&gt;
    [*] Stack Protector buffer overflow detection [CONFIG_STACKPROTECTOR]
    [*]   Strong Stack Protector [CONFIG_STACKPROTECTOR_STRONG]
+
 Device Drivers  ---&gt;
-  Graphics support ---&gt;
-   Frame buffer Devices ---&gt;
-      &lt;*&gt; Support for frame buffer devices ---&gt;
+   Generic Driver Options  ---&gt;
+     [ ] Support for uevent helper [CONFIG_UEVENT_HELPER]
+     [*] Maintain a devtmpfs filesystem to mount at /dev [CONFIG_DEVTMPFS]
+     [*]   Automount devtmpfs at /dev, after the kernel mounted the rootfs 
+                                                       [CONFIG_DEVTMPFS_MOUNT]
+   Graphics support ---&gt;
+     Frame buffer Devices ---&gt;
+       &lt;*&gt; Support for frame buffer devices ---&gt;
    Console display driver support ---&gt;
-      [*] Framebuffer Console support [CONFIG_FRAMEBUFFER_CONSOLE]
-  Generic Driver Options  ---&gt;
-   [ ] Support for uevent helper [CONFIG_UEVENT_HELPER]
-   [*] Maintain a devtmpfs filesystem to mount at /dev [CONFIG_DEVTMPFS]
-   [*]   Automount devtmpfs at /dev, after the kernel mounted the rootfs [CONFIG_DEVTMPFS_MOUNT]</screen>
-
-      <screen role="nodump" revision="systemd">Processor type and features ---&gt;
-   [*] Build a relocatable kernel [CONFIG_RELOCATABLE]
-   [*]   Randomize the address of the kernel image (KASLR) [CONFIG_RANDOMIZE_BASE]
+      [*] Framebuffer Console support [CONFIG_FRAMEBUFFER_CONSOLE]</screen>
+
+<screen role="nodump" revision="systemd">
 General setup ---&gt;
    [ ] Compile the kernel with warnings as errors [CONFIG_WERROR]
@@ -165,22 +168,31 @@
    CPU/Task time and stats accounting ---&gt;
       [*] Pressure stall information tracking [CONFIG_PSI]
-      [ ]   Require boot parameter to enable pressure stall information tracking [CONFIG_PSI_DEFAULT_DISABLED]
+      [ ] Require boot parameter to enable pressure stall information tracking 
+                                                            [CONFIG_PSI_DEFAULT_DISABLED]
    &lt; &gt; Enable kernel headers through /sys/kernel/kheaders.tar.xz [CONFIG_IKHEADERS]
    [*] Control Group support [CONFIG_CGROUPS]   ---&gt;
       [*] Memory controller [CONFIG_MEMCG]
    [ ] Configure standard kernel features (expert users) [CONFIG_EXPERT]
+
+Processor type and features ---&gt;
+   [*] Build a relocatable kernel [CONFIG_RELOCATABLE]
+   [*]   Randomize the address of the kernel image (KASLR) [CONFIG_RANDOMIZE_BASE]
+
 General architecture-dependent options  ---&gt;
    [*] Enable seccomp to safely compute untrusted bytecode [CONFIG_SECCOMP]
    [*] Stack Protector buffer overflow detection [CONFIG_STACKPROTECTOR]
-   [*]   Strong Stack Protector [CONFIG_STACKPROTECTOR_STRONG]
+   [*] Strong Stack Protector [CONFIG_STACKPROTECTOR_STRONG]
+   
 [*] Networking support  ---&gt;   [CONFIG_NET]
    Networking options  ---&gt;
       [*] TCP/IP networking [CONFIG_INET]
       &lt;*&gt;   The IPv6 protocol [CONFIG_IPV6]
+
 Device Drivers  ---&gt;
    Generic Driver Options  ---&gt;
       [ ] Support for uevent helper [CONFIG_UEVENT_HELPER]
       [*] Maintain a devtmpfs filesystem to mount at /dev [CONFIG_DEVTMPFS]
-      [*]   Automount devtmpfs at /dev, after the kernel mounted the rootfs [CONFIG_DEVTMPFS_MOUNT]
+      [*] Automount devtmpfs at /dev, after the kernel mounted the rootfs 
+                                                          [CONFIG_DEVTMPFS_MOUNT]
       Firmware Loader ---&gt;
          [ ] Enable the firmware sysfs fallback mechanism [CONFIG_FW_LOADER_USER_HELPER]
@@ -192,4 +204,5 @@
       Console display driver support ---&gt;
          [*] Framebuffer Console support [CONFIG_FRAMEBUFFER_CONSOLE]
+
 File systems  ---&gt;
    [*] Inotify support for userspace [CONFIG_INOTIFY_USER]
@@ -204,6 +217,7 @@
       shows up after its dependencies are selected.</para>
 
-      <screen role="nodump">Processor type and features ---&gt;
+<screen role="nodump">Processor type and features ---&gt;
   [*] Support x2apic [CONFIG_X86_X2APIC]
+
 Device Drivers ---&gt;
   [*] PCI Support ---&gt; [CONFIG_PCI]