Index: chapter05/bash-inst.xml
===================================================================
--- chapter05/bash-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/bash-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,7 +4,7 @@
 <title>Installation of Bash</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1 \
+<para><screen><userinput>./configure --prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--with-curses --without-bash-malloc
-make LDFLAGS="-s"
+make
 make tests
 make install
Index: chapter05/binutils-pass1-inst.xml
===================================================================
--- chapter05/binutils-pass1-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/binutils-pass1-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -18,6 +18,5 @@
 <para>Next, prepare Binutils to be compiled:</para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" \
-&nbsp;&nbsp;&nbsp;&nbsp;../binutils-&binutils-version;/configure \
+<para><screen><userinput>../binutils-&binutils-version;/configure \
 &nbsp;&nbsp;&nbsp;&nbsp;--prefix=/stage1 --disable-nls</userinput></screen></para>
 
@@ -33,5 +32,5 @@
 <para>Continue with compiling the package:</para>
 
-<para><screen><userinput>make tooldir=/stage1 LDFLAGS="-all-static -s"</userinput></screen></para>
+<para><screen><userinput>make tooldir=/stage1 LDFLAGS="-all-static"</userinput></screen></para>
 
 <para>The meaning of the make option is:</para>
Index: chapter05/binutils-pass2-inst.xml
===================================================================
--- chapter05/binutils-pass2-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/binutils-pass2-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -7,7 +7,7 @@
 mkdir ../binutils-build
 cd ../binutils-build
-CFLAGS="-O2 -pipe" ../binutils-&binutils-version;/configure --prefix=/stage1 \
+../binutils-&binutils-version;/configure --prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--enable-shared --with-lib-path=/stage1/lib
-make tooldir=/stage1 LDFLAGS="-s"
+make tooldir=/stage1
 make tooldir=/stage1 check
 make tooldir=/stage1 install</userinput></screen></para>
Index: chapter05/bzip2-inst.xml
===================================================================
--- chapter05/bzip2-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/bzip2-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -10,5 +10,5 @@
 
 <para><screen><userinput>make -f Makefile-libbz2_so
-make LDFLAGS="-s"
+make
 make check
 make PREFIX=/stage1 install
Index: chapter05/coreutils-inst.xml
===================================================================
--- chapter05/coreutils-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/coreutils-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,6 +4,6 @@
 <title>Installation of Coreutils</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make
 make check-root
 make install</userinput></screen></para>
Index: chapter05/dejagnu-inst.xml
===================================================================
--- chapter05/dejagnu-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/dejagnu-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,5 +4,5 @@
 <title>Installation of DejaGNU</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
+<para><screen><userinput>./configure --prefix=/stage1
 make install</userinput></screen></para>
 
Index: chapter05/diffutils-inst.xml
===================================================================
--- chapter05/diffutils-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/diffutils-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -6,6 +6,6 @@
 <para>Prepare Diffutils to be compiled:</para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make
 make install</userinput></screen></para>
 
Index: chapter05/expect-inst.xml
===================================================================
--- chapter05/expect-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/expect-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -5,7 +5,7 @@
 
 <para><screen><userinput>patch -Np1 -i ../expect-&expect-version;.patch
-CFLAGS="-O2 -pipe" ./configure --prefix=/stage1 --with-tcl=/stage1/lib \
+./configure --prefix=/stage1 --with-tcl=/stage1/lib \
 &nbsp;&nbsp;&nbsp;&nbsp;--with-x=no --disable-symbols --cache-file=/dev/null
-make LDFLAGS="-s"
+make
 make test
 make install</userinput></screen></para>
Index: chapter05/findutils-inst.xml
===================================================================
--- chapter05/findutils-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/findutils-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -30,6 +30,6 @@
 <para>Prepare Findutils to be compiled:</para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make 
 make check
 make install</userinput></screen></para>
Index: chapter05/gawk-inst.xml
===================================================================
--- chapter05/gawk-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/gawk-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -6,10 +6,9 @@
 <para>Prepare Gawk to be compiled:</para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" \
-&nbsp;&nbsp;&nbsp;&nbsp;./configure --prefix=/stage1</userinput></screen></para>
+<para><screen><userinput>./configure --prefix=/stage1</userinput></screen></para>
 
 <para>Continue with compiling the package:</para>
 
-<para><screen><userinput>make LDFLAGS="-s"</userinput></screen></para>
+<para><screen><userinput>make</userinput></screen></para>
 
 <para>And finish off installing the package:</para>
Index: chapter05/gcc-pass1-inst.xml
===================================================================
--- chapter05/gcc-pass1-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/gcc-pass1-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -24,6 +24,5 @@
 <para>Prepare GCC to be compiled:</para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" \
-&nbsp;&nbsp;&nbsp;&nbsp;../gcc-&gcc-version;/configure --prefix=/stage1 \
+<para><screen><userinput>../gcc-&gcc-version;/configure --prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--with-local-prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--disable-nls --enable-shared \
@@ -55,7 +54,5 @@
 <para>Continue with compiling the package:</para>
 
-<para><screen><userinput>make BOOT_LDFLAGS="-static -s" \
-&nbsp;&nbsp;&nbsp;&nbsp;BOOT_CFLAGS="-O2 -pipe" \
-&nbsp;&nbsp;&nbsp;&nbsp;STAGE1_CFLAGS="-pipe" bootstrap</userinput></screen></para>
+<para><screen><userinput>make BOOT_LDFLAGS="-static" bootstrap</userinput></screen></para>
 
 <para>The meaning of the make options are:</para>
Index: chapter05/gcc-pass2-inst.xml
===================================================================
--- chapter05/gcc-pass2-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/gcc-pass2-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -11,11 +11,10 @@
 cd ../gcc-build</userinput></screen></para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" CXXFLAGS="-O2 -pipe" \
-&nbsp;&nbsp;&nbsp;&nbsp;../gcc-&gcc-version;/configure --prefix=/stage1 \
+<para><screen><userinput>../gcc-&gcc-version;/configure --prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--with-local-prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--enable-clocale=gnu --enable-shared \
 &nbsp;&nbsp;&nbsp;&nbsp;--enable-threads=posix --enable-__cxa_atexit \
 &nbsp;&nbsp;&nbsp;&nbsp;--enable-languages=c,c++
-make LDFLAGS="-s"
+make
 make -k check
 make install</userinput></screen></para>
Index: chapter05/gettext-inst.xml
===================================================================
--- chapter05/gettext-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/gettext-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,6 +4,6 @@
 <title>Installation of Gettext</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1 &amp;&amp;
-make LDFLAGS="-s" &amp;&amp;
+<para><screen><userinput>./configure --prefix=/stage1 &amp;&amp;
+make &amp;&amp;
 make check
 make install</userinput></screen></para>
Index: chapter05/glibc-inst.xml
===================================================================
--- chapter05/glibc-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/glibc-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -26,6 +26,5 @@
 <para>Next, prepare Glibc to be compiled:</para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" \
-&nbsp;&nbsp;&nbsp;&nbsp;../glibc-&glibc-version;/configure --prefix=/stage1 \
+<para><screen><userinput>../glibc-&glibc-version;/configure --prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--disable-profile --enable-add-ons \
 &nbsp;&nbsp;&nbsp;&nbsp;--with-headers=/stage1/include \
Index: chapter05/grep-inst.xml
===================================================================
--- chapter05/grep-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/grep-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,7 +4,7 @@
 <title>Installation of Grep</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1 \
+<para><screen><userinput>./configure --prefix=/stage1 \
 &nbsp;&nbsp;&nbsp;&nbsp;--disable-perl-regexp --with-included-regex
-make LDFLAGS="-s"
+make 
 make check
 make install</userinput></screen></para>
Index: chapter05/gzip-inst.xml
===================================================================
--- chapter05/gzip-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/gzip-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,6 +4,6 @@
 <title>Installation of Gzip</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make
 make check
 make install
Index: chapter05/make-inst.xml
===================================================================
--- chapter05/make-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/make-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,6 +4,6 @@
 <title>Installation of Make</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make
 make check
 make install</userinput></screen></para>
Index: chapter05/patch-inst.xml
===================================================================
--- chapter05/patch-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/patch-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,7 +4,6 @@
 <title>Installation of Patch</title>
 
-<para><screen><userinput>CPPFLAGS=-D_GNU_SOURCE CFLAGS="-O2 -pipe" \
-&nbsp;&nbsp;&nbsp;&nbsp;./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make 
 make install</userinput></screen></para>
 
Index: chapter05/perl-inst.xml
===================================================================
--- chapter05/perl-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/perl-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,5 +4,5 @@
 
 <para><screen><userinput>patch -Np1 -i ../perl-&perl-version;-libc.patch
-./configure.gnu --prefix=/stage1 -Doptimize='-O2 -pipe' &amp;&amp;
+./configure.gnu --prefix=/stage1 &amp;&amp;
 make perl
 make utilities &amp;&amp;
Index: chapter05/sed-inst.xml
===================================================================
--- chapter05/sed-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/sed-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,6 +4,6 @@
 <title>Installation of Sed</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make 
 make check
 make install</userinput></screen></para>
Index: chapter05/setting-environment.xml
===================================================================
--- chapter05/setting-environment.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/setting-environment.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -11,5 +11,4 @@
 LFS=/mnt/lfs
 LC_ALL=POSIX
-LDFLAGS="-s"
 PATH=/stage1/bin:$PATH
 export LFS LC_ALL LDFLAGS PATH
Index: chapter05/tar-inst.xml
===================================================================
--- chapter05/tar-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/tar-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -13,6 +13,6 @@
 <para><screen><userinput>patch -Np1 -i ../tar-&tar-patch-version;.patch</userinput></screen></para>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make 
 make check
 make install</userinput></screen></para>
Index: chapter05/tcl-inst.xml
===================================================================
--- chapter05/tcl-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/tcl-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -5,6 +5,6 @@
 
 <para><screen><userinput>cd unix
-CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+./configure --prefix=/stage1
+make 
 make test
 make install
Index: chapter05/texinfo-inst.xml
===================================================================
--- chapter05/texinfo-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/texinfo-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,6 +4,6 @@
 <title>Installation of Texinfo</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure --prefix=/stage1
-make LDFLAGS="-s"
+<para><screen><userinput>./configure --prefix=/stage1
+make 
 make check
 make install
Index: chapter05/utillinux-inst.xml
===================================================================
--- chapter05/utillinux-inst.xml	(revision a5b2aa952edbfaf52eada536e7a8fe7d8de30bba)
+++ chapter05/utillinux-inst.xml	(revision 84a7dc232d8d21a757b84cbea5f41292a90344f8)
@@ -4,8 +4,8 @@
 <title>Installation of Util-linux</title>
 
-<para><screen><userinput>CFLAGS="-O2 -pipe" ./configure
-make -C lib LDFLAGS="-s"
-make -C mount LDFLAGS="-s" mount umount
-make -C text-utils LDFLAGS="-s" more
+<para><screen><userinput>./configure
+make -C lib 
+make -C mount mount umount
+make -C text-utils more
 cp mount/{mount,umount} /stage1/bin
 cp text-utils/more /stage1/bin</userinput></screen></para>