Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e8d84ce7ce9fe0af6fd314ffd2e3a179666aebef)
+++ chapter01/changelog.xml	(revision 86a7d455cddadb004b57c4f6abf6d793d86ce6d6)
@@ -43,4 +43,30 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+    <listitem>
+      <para>2016-10-09</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.8.1. Fixes 
+          <ulink url="&lfs-ticket-root;3983">#3983</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mpfr-3.1.5. Fixes 
+          <ulink url="&lfs-ticket-root;3984">#3984</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2016g. Fixes 
+          <ulink url="&lfs-ticket-root;3985">#3985</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to   grep-2.26. Fixes 
+          <ulink url="&lfs-ticket-root;3988">#3988</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to an-pages-4.08. Fixes 
+          <ulink url="&lfs-ticket-root;3991">#3991</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2016-09-29</para>
@@ -58,13 +84,13 @@
         <listitem>
           <para>[bdubbs] - Update to bash-4.4. Fixes 
-          <ulink url="&lfs-ticket-root;3981">#381</ulink>.</para>
+          <ulink url="&lfs-ticket-root;3981">#3981</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to readline-7.0. Fixes 
-          <ulink url="&lfs-ticket-root;3982">#382</ulink>.</para>
+          <ulink url="&lfs-ticket-root;3982">#3982</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Update to linux-4.7.4. Fixes 
-          <ulink url="&lfs-ticket-root;3980">#380</ulink>.</para>
+          <ulink url="&lfs-ticket-root;3980">#3980</ulink>.</para>
         </listitem>
       </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision e8d84ce7ce9fe0af6fd314ffd2e3a179666aebef)
+++ chapter01/whatsnew.xml	(revision 86a7d455cddadb004b57c4f6abf6d793d86ce6d6)
@@ -108,7 +108,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep &grep-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff &groff-version;</para>
@@ -165,13 +165,13 @@
       <para>Man-DB &man-db-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>MPC &mpc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>MPFR &mpfr-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Ncurses &ncurses-version;</para>
@@ -219,7 +219,7 @@
       <para>Texinfo &texinfo-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Util-Linux &util-linux-version;</para>
Index: general.ent
===================================================================
--- general.ent	(revision e8d84ce7ce9fe0af6fd314ffd2e3a179666aebef)
+++ general.ent	(revision 86a7d455cddadb004b57c4f6abf6d793d86ce6d6)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20160929">
+<!ENTITY version         "SVN-20161009">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20160929-systemd">
+<!ENTITY versiond        "20161009-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "September 29, 2016">
+<!ENTITY releasedate     "Octoberber 9, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.11">
Index: packages.ent
===================================================================
--- packages.ent	(revision e8d84ce7ce9fe0af6fd314ffd2e3a179666aebef)
+++ packages.ent	(revision 86a7d455cddadb004b57c4f6abf6d793d86ce6d6)
@@ -266,8 +266,8 @@
 <!ENTITY gperf-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "2.25">
-<!ENTITY grep-size "1,300 KB">
+<!ENTITY grep-version "2.26">
+<!ENTITY grep-size "1,325 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "04e96b0e6f0fe6a180ae62c88fcd0af6">
+<!ENTITY grep-md5 "afdd61c7221434722671baf002ac9267">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-ch5-du "18 MB">
@@ -359,9 +359,9 @@
 
 <!ENTITY lfs-bootscripts-version "20150222">              <!-- Scripts depend on this format -->
-<!ENTITY lfs-bootscripts-size "31 KB">        
+<!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
-<!ENTITY lfs-bootscripts-md5 "d4c219f80adf3c93265f409ef9966e3d">  
+<!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">  
 <!ENTITY lfs-bootscripts-home " ">
-<!ENTITY lfs-bootscripts-ch7-du "244 KB"> 
+<!ENTITY lfs-bootscripts-ch7-du "BOOTSCRIPTS-INSTALL-KB KB"> 
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
@@ -391,11 +391,11 @@
 
 <!ENTITY linux-major-version "4">
-<!ENTITY linux-minor-version "7">
-<!ENTITY linux-patch-version "4">
+<!ENTITY linux-minor-version "8">
+<!ENTITY linux-patch-version "1">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "88,304 KB">
+<!ENTITY linux-size "89,799 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4ee167c1fc77a6fdc6353c6847656d6f">
+<!ENTITY linux-md5 "ac4c0078b3a053f08fd58b36aca6ff4e">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -438,8 +438,8 @@
 <!ENTITY man-db-ch6-sbu "0.4 SBU">
 
-<!ENTITY man-pages-version "4.07">
-<!ENTITY man-pages-size "1,445 KB">
+<!ENTITY man-pages-version "4.08">
+<!ENTITY man-pages-size "1,455 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "6d6c59b83431852ba44930785def30d4">
+<!ENTITY man-pages-md5 "5a8e0a08c275cf37421e39e58acca397">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "26 MB">
@@ -454,8 +454,8 @@
 <!ENTITY mpc-ch6-sbu "0.3 SBU">
 
-<!ENTITY mpfr-version "3.1.4">
-<!ENTITY mpfr-size "1,096 KB">
+<!ENTITY mpfr-version "3.1.5">
+<!ENTITY mpfr-size "1,101 KB">
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
-<!ENTITY mpfr-md5 "064b2c18185038e404a401b830d59be8">
+<!ENTITY mpfr-md5 "c4ac246cf9795a4491e7766002cd528f">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 <!ENTITY mpfr-ch6-du "45 MB">
@@ -595,8 +595,8 @@
 <!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
-<!ENTITY tzdata-version "2016f">
-<!ENTITY tzdata-size "306 KB">
+<!ENTITY tzdata-version "2016g">
+<!ENTITY tzdata-size "310 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "b20b3c1618db1984aac685e763de001d">
+<!ENTITY tzdata-md5 "3c7e97ec8527211104d27cc1d97a23de">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 