Index: chapter07/changingowner.xml
===================================================================
--- chapter07/changingowner.xml	(revision 2013a74b0d3c1733c761254a03108e0606f7e396)
+++ chapter07/changingowner.xml	(revision 88bdbb7015e0a5d3b79d3bb376510b4613bacae3)
@@ -39,3 +39,8 @@
 esac</userinput></screen>
 
+  <para arch="ml_32,ml_x32,ml_all">Some more directories exists for
+  multilib support. Change their ownership, too:</para>
+<screen arch="ml_32,ml_x32,ml_all"><userinput arch="ml_32,ml_all">chown -R root:root $LFS&lib-m32;</userinput>
+<userinput arch="ml_x32,ml_all">chown -R root:root $LFS&lib-mx32;</userinput></screen>
+  
 </sect1>
Index: chapter07/creatingdirs.xml
===================================================================
--- chapter07/creatingdirs.xml	(revision 2013a74b0d3c1733c761254a03108e0606f7e396)
+++ chapter07/creatingdirs.xml	(revision 88bdbb7015e0a5d3b79d3bb376510b4613bacae3)
@@ -41,4 +41,7 @@
 install -dv -m 1777 /tmp /var/tmp</userinput></screen>
 
+  <para arch="ml_32,ml_x32,ml_all">Required directories for multilib
+  support has already been created while previous installation steps.</para>
+
   <para>Directories are, by default, created with permission mode 755, but
   this is not desirable for all directories. In the commands above, two
Index: chapter07/libstdc++-pass2.xml
===================================================================
--- chapter07/libstdc++-pass2.xml	(revision 2013a74b0d3c1733c761254a03108e0606f7e396)
+++ chapter07/libstdc++-pass2.xml	(revision 88bdbb7015e0a5d3b79d3bb376510b4613bacae3)
@@ -63,8 +63,15 @@
     <para>Prepare libstdc++ for compilation:</para>
 
-<screen><userinput remap="configure">../libstdc++-v3/configure            \
+<screen arch="default"><userinput remap="configure">../libstdc++-v3/configure            \
     CXXFLAGS="-g -O2 -D_GNU_SOURCE"  \
     --prefix=/usr                    \
     --disable-multilib               \
+    --disable-nls                    \
+    --host=$(uname -m)-lfs-linux-gnu \
+    --disable-libstdcxx-pch</userinput></screen>
+<screen arch="ml_32,ml_x32,ml_all"><userinput remap="configure">../libstdc++-v3/configure            \
+    CXXFLAGS="-g -O2 -D_GNU_SOURCE"  \
+    --prefix=/usr                    \
+    --enable-multilib                \
     --disable-nls                    \
     --host=$(uname -m)-lfs-linux-gnu \
@@ -99,4 +106,14 @@
       </varlistentry>
 
+      <varlistentry arch="ml_32,ml_x32,ml_all">
+        <term><parameter>--enable-multilib</parameter></term>
+        <listitem>
+          <para>This switch is set by default but it is added here 
+          explicitly for documentary purpose. The libstdc++ libraries
+          will be built for every arch (m64, m32, mx32) which are
+          made available in <xref linkend="ch-tools-gcc-pass1"/>.</para>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 
Index: chapter07/stripping.xml
===================================================================
--- chapter07/stripping.xml	(revision 2013a74b0d3c1733c761254a03108e0606f7e396)
+++ chapter07/stripping.xml	(revision 88bdbb7015e0a5d3b79d3bb376510b4613bacae3)
@@ -16,5 +16,8 @@
   While still in chroot, remove those files now:</para>
 
-<screen><userinput>find /usr/{lib,libexec} -name \*.la -delete</userinput></screen>
+<screen arch="default"><userinput>find /usr/{lib,libexec} -name \*.la -delete</userinput></screen>
+<screen arch="ml_32"><userinput>find /usr/{lib{,32},libexec} -name \*.la -delete</userinput></screen>
+<screen arch="ml_x32"><userinput>find /usr/{lib{,x32},libexec} -name \*.la -delete</userinput></screen>
+<screen arch="ml_all"><userinput>find /usr/{lib{,{,x}32},libexec} -name \*.la -delete</userinput></screen>
 
     <para>Remove the documentation of the temporary tools, to prevent them
@@ -88,5 +91,14 @@
 
     <para>Strip off debugging symbols from binaries:</para>
-<screen role="nodump"><userinput>strip --strip-debug $LFS/usr/lib/*
+<screen arch="default" role="nodump"><userinput>strip --strip-debug $LFS/usr/lib/*
+strip --strip-unneeded $LFS/usr/{,s}bin/*
+strip --strip-unneeded $LFS/tools/bin/*</userinput></screen>
+<screen arch="ml_32" role="nodump"><userinput>strip --strip-debug $LFS/usr/lib{,32}/*
+strip --strip-unneeded $LFS/usr/{,s}bin/*
+strip --strip-unneeded $LFS/tools/bin/*</userinput></screen>
+<screen arch="ml_x32" role="nodump"><userinput>strip --strip-debug $LFS/usr/lib{,x32}/*
+strip --strip-unneeded $LFS/usr/{,s}bin/*
+strip --strip-unneeded $LFS/tools/bin/*</userinput></screen>
+<screen arch="ml_all" role="nodump"><userinput>strip --strip-debug $LFS/usr/lib{,{,x}32}/*
 strip --strip-unneeded $LFS/usr/{,s}bin/*
 strip --strip-unneeded $LFS/tools/bin/*</userinput></screen>
Index: chapter07/util-linux.xml
===================================================================
--- chapter07/util-linux.xml	(revision 2013a74b0d3c1733c761254a03108e0606f7e396)
+++ chapter07/util-linux.xml	(revision 88bdbb7015e0a5d3b79d3bb376510b4613bacae3)
@@ -116,4 +116,84 @@
   </sect2>
 
+  <!-- - - - - - - - - - -->
+  <!-- Multilib - 32bit  -->
+  <!-- - - - - - - - - - -->
+  
+  <sect2 arch="ml_32,ml_all" role="installation">
+    <title>Installation of Util-linux - 32-bit</title>
+
+    <para>Clean previous build:</para>
+
+<screen><userinput remap="pre">make distclean</userinput></screen>
+
+    <para>Prepare Util-linux for compilation:</para>
+
+<screen><userinput remap="configure">CC="gcc -m32" \
+./configure ADJTIME_PATH=/var/lib/hwclock/adjtime    \
+            --docdir=/usr/share/doc/util-linux-&util-linux-version; \
+            --disable-chfn-chsh  \
+            --disable-login      \
+            --disable-nologin    \
+            --disable-su         \
+            --disable-setpriv    \
+            --disable-runuser    \
+            --disable-pylibmount \
+            --disable-static     \
+            --without-python     \
+            --libdir=&usr-lib-m32;      \
+            --host=i686-pc-linux-gnu</userinput></screen>
+
+    <para>Compile the package:</para>
+
+<screen><userinput remap="make">make</userinput></screen>
+
+    <para>Install the package:</para>
+
+<screen><userinput remap="install">make DESTDIR=$PWD/DESTDIR install
+cp -Rv DESTDIR&usr-lib-m32;/* &usr-lib-m32;
+rm -rf DESTDIR</userinput></screen>
+
+  </sect2><!-- m32 -->
+
+  <!-- - - - - - - - - - -->
+  <!-- Multilib - x32bit -->
+  <!-- - - - - - - - - - -->
+  
+  <sect2 arch="ml_x32,ml_all" role="installation">
+    <title>Installation of Util-linux - x32-bit</title>
+
+    <para>Clean previous build:</para>
+
+<screen><userinput remap="pre">make distclean</userinput></screen>
+
+    <para>Prepare Util-linux for compilation:</para>
+
+<screen><userinput remap="configure">CC="gcc -mx32" \
+./configure ADJTIME_PATH=/var/lib/hwclock/adjtime    \
+            --docdir=/usr/share/doc/util-linux-&util-linux-version; \
+            --disable-chfn-chsh  \
+            --disable-login      \
+            --disable-nologin    \
+            --disable-su         \
+            --disable-setpriv    \
+            --disable-runuser    \
+            --disable-pylibmount \
+            --disable-static     \
+            --without-python     \
+            --libdir=&usr-lib-mx32; \
+            --host=x86_64-pc-linux-gnux32</userinput></screen>
+
+    <para>Compile the package:</para>
+
+<screen><userinput remap="make">make</userinput></screen>
+
+    <para>Install the package:</para>
+
+<screen><userinput remap="install">make DESTDIR=$PWD/DESTDIR install
+cp -Rv DESTDIR&usr-lib-mx32;/* &usr-lib-mx32;
+rm -rf DESTDIR</userinput></screen>
+
+  </sect2><!-- mx32 -->
+
   <sect2 role="content">
     <title/>