Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 427a4606fde7fd07d5fcae0287a3315c0c51aa11)
+++ chapter01/changelog.xml	(revision 89c1c43dc35b79f84369a62a9556c7b405962dac)
@@ -47,4 +47,12 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to gcc-7.1.0. Fixes
+          <ulink url="&lfs-ticket-root;4082">#4082</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-4.11.0. Fixes
+          <ulink url="&lfs-ticket-root;4081">#4081</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Fix a problem with glibc tests and 
           add some explanations to the configure options.</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 427a4606fde7fd07d5fcae0287a3315c0c51aa11)
+++ chapter01/whatsnew.xml	(revision 89c1c43dc35b79f84369a62a9556c7b405962dac)
@@ -93,7 +93,7 @@
       <para>Gawk &gawk-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>GDBM &gdbm-version;</para>
Index: chapter05/diffutils.xml
===================================================================
--- chapter05/diffutils.xml	(revision 427a4606fde7fd07d5fcae0287a3315c0c51aa11)
+++ chapter05/diffutils.xml	(revision 89c1c43dc35b79f84369a62a9556c7b405962dac)
@@ -44,4 +44,8 @@
     <title>Installation of Diffutils</title>
 
+    <para>First, fix some errors in the included gnulib code:</para>
+
+<screen><userinput remap="pre">sed -i '233,237 s/max)/max) \\/' lib/intprops.h</userinput></screen>
+
     <para>Prepare Diffutils for compilation:</para>
 
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 427a4606fde7fd07d5fcae0287a3315c0c51aa11)
+++ chapter06/binutils.xml	(revision 89c1c43dc35b79f84369a62a9556c7b405962dac)
@@ -144,4 +144,6 @@
 <screen><userinput remap="test">make -k check</userinput></screen>
 
+    <para>One test, debug_msg.sh, is known ot fail.</para>
+
     <para>Install the package:</para>
 
Index: chapter06/diffutils.xml
===================================================================
--- chapter06/diffutils.xml	(revision 427a4606fde7fd07d5fcae0287a3315c0c51aa11)
+++ chapter06/diffutils.xml	(revision 89c1c43dc35b79f84369a62a9556c7b405962dac)
@@ -42,7 +42,9 @@
     <title>Installation of Diffutils</title>
 
-    <para>First fix a file so locale files are installed:</para>
+    <para>First fix a file so locale files are installed and fix the
+    included gnulib code:</para>
 
-<screen><userinput remap="pre">sed -i 's:= @mkdir_p@:= /bin/mkdir -p:' po/Makefile.in.in</userinput></screen>
+<screen><userinput remap="pre">sed -i 's:= @mkdir_p@:= /bin/mkdir -p:' po/Makefile.in.in
+sed -i '233,237 s/max)/max) \\/' lib/intprops.h</userinput></screen>
 
     <para>Prepare Diffutils for compilation:</para>
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 427a4606fde7fd07d5fcae0287a3315c0c51aa11)
+++ chapter06/vim.xml	(revision 89c1c43dc35b79f84369a62a9556c7b405962dac)
@@ -49,4 +49,8 @@
 <screen><userinput remap="pre">echo '#define SYS_VIMRC_FILE "/etc/vimrc"' &gt;&gt; src/feature.h</userinput></screen>
 
+    <para>Disable a test that fails:</para>
+
+<screen><userinput remap="pre">sed -i '/call/{s/split/xsplit/;s/303/492/}' src/testdir/test_recover.vim</userinput></screen>
+
     <para>Prepare Vim for compilation:</para>
 
@@ -59,11 +63,10 @@
     <para>To test the results, issue:</para>
 
-<screen><userinput remap="test">make -j1 test</userinput></screen>
+<screen><userinput remap="test">make -j1 test &amp;&gt; vim-test.log</userinput></screen>
 
     <para>However, this test suite outputs a lot of binary data to the screen,
     which can cause issues with the settings of the current terminal. This can
     be resolved by redirecting the output to a log file.  A successful test
-    will result in the words "ALL DONE" at completion. One test, 
-    Test_recover_root_dir() is known to fail, but is harmless.</para>
+    will result in the words "ALL DONE" at completion.</para>
 
     <para>Install the package:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 427a4606fde7fd07d5fcae0287a3315c0c51aa11)
+++ packages.ent	(revision 89c1c43dc35b79f84369a62a9556c7b405962dac)
@@ -208,8 +208,8 @@
 <!ENTITY gawk-ch6-sbu "0.3 SBU">
 
-<!ENTITY gcc-version "6.3.0">
-<!ENTITY gcc-size "97,562 KB">
+<!ENTITY gcc-version "7.1.0">
+<!ENTITY gcc-size "82,328 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "677a7623c7ef6ab99881bc4e048debb6">
+<!ENTITY gcc-md5 "6bf56a2bca9dac9dbbf8e8d1036964a8">
 <!ENTITY gcc-home "http://gcc.gnu.org/">
 <!ENTITY gcc-ch5p1-du "2.5 GB">
@@ -327,8 +327,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.10.0">
-<!ENTITY iproute2-size "613 KB">
+<!ENTITY iproute2-version "4.11.0">
+<!ENTITY iproute2-size "642 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "b94a2b0edefaeac124dc8f5d006931b9">
+<!ENTITY iproute2-md5 "7a9498de88bcca95c305df6108ae197e">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "11 MB">